%%%%%%%%%%%%%%%%%%%%%  Basic options

op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).

assign(pick_given_ratio, 4).
assign(max_mem, 20000).

%%%%%%%%%%%%%%%%%%%%%  Standard for equational problems

set(knuth_bendix).
set(build_proof_object).

%%%%%%%%%%%%%%%%%%%%%  Standard options for hyperresolution

set(output_sequent).
set(hyper_res).
set(order_history).
set(unit_deletion).
set(para_from_units_only).
set(para_into_units_only).

%%%%%%%%%%%%%%%%%%%%%  Modifications to strategy

%%%%%%%%%%%%%%%%%%%%%  Clauses

list(usable).
x = x.
B ^ (A v (B v C)) != B | ((B v A) ^ (B v C)) ^ B != B.
end_of_list.

list(sos).
(x^y) v (x^ (x v y))=x.
(x^x) v (y^ (x v x))=x.
(x^y) v (y^ (x v y))=y.

((x ^ y) v (y ^ z)) v y = y.        % 3
((x v (y v z)) ^ (u v y)) ^ y = y.  % 26
end_of_list.
